Wednesday, July 2, 2008

Former version of Editor programs

When you get a rental console with old version of firmware, what will you do?
Will you update the console? Maybe not... Then, you will start looking for the correct version of Editor software to synchronize with the old firmware.

Ok, now you can download old version of the Editor software from YamahaProAudio.com.
In the Editor download page, there is a matching matrix for the firmware and the Editor.

Please refer to the link below.
1. Check the firmware version of the console
2. Check the Editor version which you have on your PC/Mac
3. Check the matching between them with the version history page: PM5D, DSP5D, M7CL, and LS9
4. If you need an old Editor program, download it from the links right.
Copying the matching matrix to your local disk would be a good idea.
For PM1D, it is a little simpler. Just use the same version of the PM1D Manager with the firmware and the former version of programs are available in the PM1D/PM1D V2 version history page.

No comments:

There was an error in this gadget